Blocking a base package from installing

Achim Gratz Stromeko@nexgo.de
Thu Oct 6 17:37:00 GMT 2016


Chris Sutcliffe writes:
> I'm using a self compiled vim, so I uninstalled vim-minimal.  Every
> time I run setup to get the latest updates, setup attempts to
> reinstall vim-minimal - is there a way to make setup ignore
> vim-minimal?

Yes, at least two.

1. Build a proper package and give it a higher version number than
Cygwin's own Vim.  

2. Fake the installation of vim-minimal in /etc/setup/installed.db and
give that fake installation some high version number.


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Wavetables for the Waldorf Blofeld:
http://Synth.Stromeko.net/Downloads.html#BlofeldUserWavetables

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list